Subject: Re: [Bitcoin-development] Network propagation speeds

From: Christian Decker <[email-masked]>
Date: Wed, 27 Nov 2013 21:46:50 +0100

Damn, that happens if I do the overview as an afterthought. Fixed :-)

Real time (last 24 hours, last week, last month) are in the pipeline,
just need to find the time to implement access to the collector from
the webpage.
--
Christian Decker

On Wed, Nov 27, 2013 at 8:35 PM, Mike Hearn <[email-masked]> wrote:
> Hey Christian,
>
> Could you sort the snapshots by date? At the moment they're kind of in a
> random order.
>
> Sometimes I wish we had real-time stats too but this is a great start.
>
>
> On Mon, Nov 25, 2013 at 8:27 PM, Christian Decker
> <[email-masked]> wrote:
>>
>> Thanks Mike for the Tip :-)
>>
>> I will definitely extend the calculations to include a size-normalized
>> version. As for transaction propagations, being much smaller the
>> measurements tend to be much noisier, but given enough samples we
>> might be able to reconstruct some of the system parameters.
>>
>> Good idea to attempt to correlate propagation speed and number of
>> inputs/outputs, might be interesting to see whether processing at the
>> nodes has an influence.
>>
>> Regards,
>> Chris
>> --
>> Christian Decker
>>
>>
>> On Mon, Nov 25, 2013 at 9:51 AM, Michael Gronager <[email-masked]>
>> wrote:
>> > Hi Christian,
>> >
>> > Cool - thanks for posting - agree, that it would be nice to normalize
>> > the results with block size - so divide by size and:
>> > 1. see if there is a correlation (we all presume there still is)
>> > 2. plot the delay graph as e.g. normalized to the averaged blocksize or
>> > lets define a "standard block size" of 200kb or what ever so we can
>> > compare the plot btw days.
>> >
>> > Also, does the correlation of propagation times hold for transaction
>> > sizes as well (would be ice to find the logical t0 and the constant - I
>> > guess the interesting measure is not kb but signatures, so number of
>> > inputs - some correlation with size though).
>> >
>> > Best,
>> >
>> > Michael
>> >
>> > On 24/11/13, 17:37 , Christian Decker wrote:
>> >> Sure thing, I'm looking for a good way to publish these measurements,
>> >> but I haven't found a good option yet. They are rather large in size,
>> >> so I'd rather not serve them along with the website as it hasn't got
>> >> the capacity. Any suggestions? If the demand is not huge I could
>> >> provide them on a per user basis.
>> >> --
>> >> Christian Decker
>> >>
>> >>
>> >> On Sun, Nov 24, 2013 at 5:26 PM, Gregory Maxwell <[email-masked]>
>> >> wrote:
>> >>> On Sun, Nov 24, 2013 at 8:20 AM, Christian Decker
>> >>> <[email-masked]> wrote:
>> >>>> Since this came up again during the discussion of the Cornell paper I
>> >>>> thought I'd dig up my measurement code from the Information
>> >>>> Propagation paper and automate it as much as possible.
>> >>>
>> >>> Could you publish the block ids and timestamp sets for each block?
>> >>>
>> >>> It would be useful in correlating propagation information against
>> >>> block characteristics.
>> >>
>> >>
>> >> ------------------------------------------------------------------------------
>> >> Shape the Mobile Experience: Free Subscription
>> >> Software experts and developers: Be at the forefront of tech
>> >> innovation.
>> >> Intel(R) Software Adrenaline delivers strategic insight and
>> >> game-changing
>> >> conversations that shape the rapidly evolving mobile landscape. Sign up
>> >> now.
>> >>
>> >> http://pubads.g.doubleclick.net/gampad/clk?id=63431311&iu=/4140/ostg.clktrk
>> >> _______________________________________________
>> >> Bitcoin-development mailing list
>> >> [email-masked]
>> >> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>> >>
>> >
>> >
>> >
>> > ------------------------------------------------------------------------------
>> > Shape the Mobile Experience: Free Subscription
>> > Software experts and developers: Be at the forefront of tech innovation.
>> > Intel(R) Software Adrenaline delivers strategic insight and
>> > game-changing
>> > conversations that shape the rapidly evolving mobile landscape. Sign up
>> > now.
>> >
>> > http://pubads.g.doubleclick.net/gampad/clk?id=63431311&iu=/4140/ostg.clktrk
>> > _______________________________________________
>> > Bitcoin-development mailing list
>> > [email-masked]
>> > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>>
>> ------------------------------------------------------------------------------
>> Shape the Mobile Experience: Free Subscription
>> Software experts and developers: Be at the forefront of tech innovation.
>> Intel(R) Software Adrenaline delivers strategic insight and game-changing
>> conversations that shape the rapidly evolving mobile landscape. Sign up
>> now.
>>
>> http://pubads.g.doubleclick.net/gampad/clk?id=63431311&iu=/4140/ostg.clktrk
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>